// The links that are on the top nav bar that link to a lowercase version of their page
export const ACTIVE_PAGES = [
    {
        name: "Home",
        url: "/",
    },
    {
        name: "Events",
        url: "/events",
    },
    {
        name: "Projects",
        url: "/projects",
    },
    {
        name: "Committees",
        url: "/committees",
    },
    {
        name: "Contact Us",
        url: "/#contact-us",
    },
];

// Urls of team photos that will go in the "About" slideshow
export const TEAM_PHOTOS: string[] = [];
export const PROJECT_SPACE: string[] = [];
export const EVENTS: unknown[] = [];

export const SOCIALS = [
    {
        icon: "/assets/img/disc.svg",
        url: "https://discord.gg/XxfjqZSjca",
        message: "Join our server",
    },
    {
        icon: "/assets/img/fab.svg",
        url: "https://www.facebook.com/ieeeucsd",
        message: "ieeeucsd",
    },
    {
        icon: "/assets/img/inst.svg",
        url: "https://www.instagram.com/ieee.ucsd",
        message: "@ieeeucsd",
    },
];

export const EMAIL = [
    {
        icon: "/assets/img/email.svg",
        url: "mailto:ieee@eng.ucsd.edu",
        message: "ieee@eng.ucsd.edu",
    },
];

export const EMAIL_WHITE = [
    {
        icon: "/assets/img/email_white.svg",
        url: "mailto:ieee@eng.ucsd.edu",
        message: "ieee@eng.ucsd.edu",
    },
];

export const SOCIALS_WHITE = [
    {
        icon: "/assets/img/disc_white.svg",
        url: "https://discord.gg/XxfjqZSjca",
        message: "Join our server",
    },
    {
        icon: "/assets/img/fab_white.svg",
        url: "https://www.facebook.com/ieeeucsd",
        message: "ieeeucsd",
    },
    {
        icon: "/assets/img/inst_white.svg",
        url: "https://www.instagram.com/ieee.ucsd",
        message: "@ieeeucsd",
    },
];

export const OFFICERS = [
    {
        name: "Darin Tsui",
        position: "Chair",
        photo: "/assets/img/officers/darin.jpg",
        email: "dtsui@ieee.org",
    },
    {
        name: "Brigette Hacia",
        position: "Vice Chair Internal",
        photo: "/assets/img/officers/brigette.jpg",
        email: "",
    },
    {
        name: "Tasnia Jamal",
        position: "Vice Chair Events",
        photo: "/assets/img/officers/tasnia.jpg",
        email: "",
    },
    {
        name: "Kevin Chang",
        position: "Vice Chair Projects",
        photo: "/assets/img/officers/kevin.jpg",
        email: "",
    },
    {
        name: "Arjun Sampath",
        position: "Vice Chair Finance",
        photo: "/assets/img/officers/arjun.jpg",
        email: "",
    },
    {
        name: "Niklas Chang",
        position: "Events Coordinator",
        photo: "/assets/img/officers/niklas.jpg",
        email: "",
    },
    {
        name: "Tien Vu",
        position: "Vice Chair External",
        photo: "/assets/img/officers/tien.jpg",
        email: "",
    },
    {
        name: "Derek Nguyen",
        position: "Project Space Chair",
        photo: "/assets/img/officers/derek.jpg",
        email: "",
    },
    {
        name: "Rafaella Gomes",
        position: "Robocup Chair",
        photo: "/assets/img/officers/rafaella.jpg",
        email: "",
    },
    {
        name: "Yash Puneet",
        position: "Robocup Chair",
        photo: "/assets/img/officers/yash.jpg",
        email: "",
    },
    {
        name: "Matthew Mikhailov",
        position: "Supercomputing Chair",
        photo: "/assets/img/officers/matthew.jpg",
        email: "",
    },
    {
        name: "Josh Lapidario",
        position: "Quarterly Projects Chair",
        photo: "/assets/img/officers/josh.jpg",
        email: "",
    },
    {
        name: "Sanh Nguyen",
        position: "Quarterly Projects Chair",
        photo: "/assets/img/officers/sanh.jpg",
        email: "",
    },
    {
        name: "Vuong Bui",
        position: "Professional Chair",
        photo: "/assets/img/officers/vuong.jpg",
        email: "",
    },
    {
        name: "Jason Liang",
        position: "Professional Chair",
        photo: "/assets/img/officers/jason.jpg",
        email: "",
    },
    {
        name: "Mohak Vaswani",
        position: "Technical Chair",
        photo: "/assets/img/officers/mohak.jpg",
        email: "",
    },
    {
        name: "Yusuf Morsi",
        position: "Technical Chair",
        photo: "/assets/img/officers/yusuf.jpg",
        email: "",
    },
    {
        name: "Shaun Garcia",
        position: "Technical Chair",
        photo: "/assets/img/officers/shaun.jpg",
        email: "",
    },
    {
        name: "Dennis Liang",
        position: "Outreach Chair",
        photo: "/assets/img/officers/dennis.jpg",
        email: "",
    },
    {
        name: "Daniel Chen",
        position: "Outreach Chair",
        photo: "/assets/img/officers/daniel.jpg",
        email: "",
    },
    {
        name: "Parisa Shahabi",
        position: "Social Chair",
        photo: "/assets/img/officers/parisa.webp",
        email: "",
    },
    {
        name: "Matthew Yik",
        position: "Social Chair",
        photo: "/assets/img/officers/matthewyik.webp",
        email: "",
    },
    {
        name: "Jiliana Tiu",
        position: "Webmaster",
        photo: "/assets/img/officers/jiliana.jpg",
        email: "",
    },
    {
        name: "Raymond Wang",
        position: "Webmaster",
        photo: "/assets/img/officers/raymond.jpg",
        email: "raymond@ucsd.edu",
    },
    {
        name: "Sankalp Kaushik",
        position: "PR Chair - Media",
        photo: "/assets/img/officers/sankalp.jpg",
        email: "",
    },
    {
        name: "Stephanie Xu",
        position: "PR Chair - Graphics",
        photo: "/assets/img/officers/stephanie.jpg",
        email: "",
    },
];
